<div id="barcode_popup" style="display:none;">
    <form action="<?php echo $this->getUrl('barcodelabel/purchaseOrder/PrintProduct') ?>" name="barcode_product_qty" id="barcode_product_qty">
        <div id="barcode_popup_add">
            <input type="hidden" name="po_id" value="<?php echo $this->getRequest()->getParam('po_id'); ?>" />
        </div>
        <div class="fieldset-wrapper">
            <div class="admin__fieldset-wrapper-content _hide">
                <fieldset class="admin__fieldset">
                    <div class="admin__field">
                        <label class="admin__field-label">
                            <span><?php echo __('Quantity'); ?></span>
                        </label>
                        <div class="admin__field-control">
                            <input class="admin__control-text" type="text" name="qty" id="barcode-product-id-hidden-input"  value="">
                        </div>
                    </div>
                </fieldset>
            </div>
        </div>'
    </form>
</div>

<script>
    require(
        [
            'jquery',
            'Magento_Ui/js/modal/modal'
        ],
        function(
            $,
            modal
        ) {
            jQuery(document).on("click",".bacode-poitem", function(event){
                event.preventDefault();
                var qty  = jQuery(this).attr("data-qty");
                var id  = jQuery(this).attr("data-product-id");
                jQuery("#barcode-product-id-hidden-input").val(qty);


                var options = {
                    type: 'popup',
                    responsive: true,
                    innerScroll: true,
                    title: '<?php echo __('Print barcode label'); ?>',
                    buttons: [{
                        text: '<?php echo __('Print'); ?>',
                        class: '',
                        click: function () {
                            jQuery("#barcode_product_qty").submit();
                            this.closeModal();
                        }
                    }]
                };
                var popup = modal(options, $("#barcode_popup"));
                jQuery("#barcode_popup_add").append('<input type="hidden" name="product_id" value="' + id + '" />');
                jQuery("#barcode_popup").modal("openModal");
            });

        }
    );
</script>